Cyberduck Mountain Duck CLI

#7857 closed defect (wontfix)

Interoperability with '/' in filenames

Reported by: Minnie Owned by: dkocher
Priority: low Milestone:
Component: ftp Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

I am trying to transfer files from Photo Manager pro from my iPad to PC. 2 of the files are missing when I connect to Cyberduck for a FTP transfer.

Change History (12)

comment:1 Changed on Mar 21, 2014 at 7:22:07 PM by Minnie

I tried to copy the toggle log drawer but was unable. I highlighted the text and right clicked. Nothing. Also, tried right clicking in the drawer--nothing. The list in the drawer shows the files that are missing but they are not shown in the box above so I can transfer. I clicked "view hidden files" and they still do not show. Thank you.

comment:2 Changed on Mar 21, 2014 at 10:41:21 PM by dkocher

Press Ctrl-C to copy the transcript from the log drawer.

comment:3 Changed on Mar 21, 2014 at 10:41:33 PM by dkocher

  • Component changed from core to ftp
  • Owner set to dkocher

comment:4 Changed on Mar 22, 2014 at 12:13:04 PM by Minnie

220 ---------- Welcome to Photo Manager Pro ---------- 
FEAT
211-Extensions supported:
 MDTM
 MFMT
 SIZE
 MLST type*;size*;modify*;
 MLSD
 UTF8
211 End
USER Linkus
331 Password required for Linkus
PASS ********
230 User Linkus logged in.
OPTS UTF8 ON
502 Unknown command 'UTF8'
SYST
215 UNIX Type: L8
PWD
257 "/" is the current directory.
STAT /
211-localhost FTP server status:
211 End of Status
CWD /
200 directory changed to /
TYPE A
200 Type set to A
PASV
227 Entering Passive Mode (192,168,1,45,59,90)
MLSD
150 Accepted data connection
type=cdir;modify=20140315210350; .
type=dir;modify=20140315210350; Family
type=dir;modify=20140315210350; Friends
type=dir;modify=20140315210350; 2013/14 trip
type=dir;modify=20140315210350; Shopping
type=dir;modify=20140315210350; Tigger & Friends
type=dir;modify=20140315210350; Rome 2013
type=dir;modify=20140315210350; Gozo 2013/2014
type=dir;modify=20140315210350; Rome March/2014
226 Transfer complete.

The two last files are the ones not visible in the box above the log drawer:

  • Gozo 2013/2014
  • Rome March/2014

Thank you for your help

Last edited on Mar 22, 2014 at 12:56:10 PM by dkocher (previous) (diff)

comment:5 Changed on Mar 24, 2014 at 9:00:04 AM by dkocher

  • Milestone set to 4.4.4
  • Status changed from new to assigned

comment:6 follow-up: Changed on Mar 24, 2014 at 9:14:10 AM by dkocher

You can workaround this issue by renaming the folder from Gozo 2013/2014 to Gozo 2013 & 2014. On most file systems / is a reserved character denoting a file system path.

comment:7 Changed on Mar 24, 2014 at 10:57:50 AM by dkocher

Added failing test in r14422.

comment:8 Changed on Mar 24, 2014 at 10:58:25 AM by dkocher

  • Milestone 4.4.4 deleted
  • Summary changed from Missing files to Interoperability with '/' in filenames

comment:9 in reply to: ↑ 6 Changed on Mar 24, 2014 at 1:18:12 PM by Minnie

Replying to dkocher:

You can workaround this issue by renaming the folder from Gozo 2013/2014 to Gozo 2013 & 2014. On most file systems / is a reserved character denoting a file system path.

I removed the '/' from both files and it worked! Thank you so very much!

comment:10 Changed on Mar 28, 2014 at 6:18:45 PM by Minnie

I removed the '/' from both files and it worked! Thank you so very much!

comment:11 Changed on Mar 28, 2014 at 6:22:10 PM by dkocher

  • Priority changed from normal to low

comment:12 Changed on Aug 14, 2014 at 8:08:26 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software